Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ensembl.driver
Interface OligoProbeAdaptor

All Superinterfaces:
  Adaptor, java.rmi.Remote

public interface OligoProbeAdaptor
extends Adaptor

Adaptor for retrieving AffyProbes from the database.

Author:
  Craig Melsopp

Field Summary
`static java.lang.String` | `TYPE`

Method Summary
`OligoProbe` | `fetch(long internalID)`
`java.util.List` | `fetch(OligoArray array)` Returns OligoProbes that appear in the specified array.
`java.util.List` | `fetch(java.lang.String probeSetName)` Fetch Probes from the specified probe set.
`java.util.Iterator` | `fetchIterator(long[] ids)` Returns an iterator over OligoProbes that have internalIDs in ids.

Methods inherited from interface org.ensembl.driver.Adaptor
`clearCache, closeAllConnections, getType`

Field Detail

### TYPE

    public static final java.lang.String TYPE

See Also:
  Constant Field Values

Method Detail

### fetch

    public OligoProbe fetch(long internalID)
                     throws AdaptorException

  Throws:
    `AdaptorException`

### fetchIterator

    public java.util.Iterator fetchIterator(long[] ids)
                                     throws AdaptorException

  Returns an iterator over OligoProbes that have internalIDs in ids.

  Parameters:
    `ids` - internal IDs of OligoProbes.
  Returns:
    an iterator over OligoProbes that have internalIDs in ids.
  Throws:
    `AdaptorException`

### fetch

    public java.util.List fetch(OligoArray array)
                         throws AdaptorException

  Returns OligoProbes that appear in the specified array.

  Parameters:
    `array` - micro array from which to fetch OligoProbes
  Returns:
    zero or more OligoProbes for the specified array.
  Throws:
    `AdaptorException`

### fetch

    public java.util.List fetch(java.lang.String probeSetName)
                         throws AdaptorException

  Fetch Probes from the specified probe set.

  Parameters:
    `probeSetName` - name of the probe set.
  Returns:
    zero or more OligoProbes
  Throws:
    `AdaptorException`
  See Also:
    `OligoProbe`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD